2022-09-30 11:42 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006437Spring engineGfx driver issuespublic2022-01-10 23:18
ReporterLicho 
Assigned Toabma 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionreopened 
Product Version 
Target VersionFixed in Version 
Summary0006437: Export symbols to force use of dedicated GPU
DescriptionBoth NVIDIA and AMD support automated switch from integrated to dedicated card if they detect exported symbol in exe.

Add this to the code to force it

extern "C"
{
  __declspec(dllexport) int AmdPowerXpressRequestHighPerformance = 1;
}

extern "C"
{
  __declspec(dllexport) unsigned long NvOptimusEnablement = 0x00000001;
}

(Windows specific probably)
TagsNo tags attached.
Checked infolog.txt for ErrorsIrrelevant
Attached Files

-Relationships
+Relationships

-Notes

~0020591

sprung (reporter)

Cherry-pickable from BAR probably https://github.com/beyond-all-reason/spring/commit/1c500ab07aea71392b05e9f1f5fe9c46d0a83871

~0020606

abma (administrator)

thanks,cherry-picked: https://github.com/spring/spring/commit/4834765270e28b105d7f916bfe374126d6b9c8a1

~0020607

abma (administrator)

i don't have windows nor nvidia:


this makes

https://github.com/spring/spring/blob/develop/rts/lib/SOP/SOP.hpp

+

https://github.com/spring/spring/blob/develop/rts/System/Main.cpp#L57

obsolete, right?

~0020608

abma (administrator)

oh, this code was never used as it was never compiled with "-DPROFILE".

i'll remove this as it adds A LOT of ugly code.
+Notes

-Issue History
Date Modified Username Field Change
2021-07-27 14:08 Licho New Issue
2021-07-30 16:06 sprung Note Added: 0020591
2022-01-10 23:07 abma Assigned To => abma
2022-01-10 23:07 abma Status new => resolved
2022-01-10 23:07 abma Resolution open => fixed
2022-01-10 23:07 abma Note Added: 0020606
2022-01-10 23:15 abma Status resolved => feedback
2022-01-10 23:15 abma Resolution fixed => reopened
2022-01-10 23:15 abma Note Added: 0020607
2022-01-10 23:18 abma Status feedback => resolved
2022-01-10 23:18 abma Note Added: 0020608
+Issue History